Ruby: ext/zlib/zlib-1.2.13/contrib/iostream2/zstream.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Functions
zstream.h File Reference
`#include <strstream.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include "zlib.h"`

Go to the source code of this file.

## Data Structures
class | zstringlen
class | izstream
class | ozstream

## Macros
#define | SET_BINARY_MODE(file)

## Functions
template<class T , class Items >
int | read (izstream &zs, T *x, Items items)
template<class T >
izstream & | operator> (izstream &zs, T &x)
izstream & | operator> (izstream &zs, char *x)
char * | read_string (izstream &zs)
template<class T , class Items >
int | write (ozstream &zs, const T *x, Items items)
template<class T >
ozstream & | operator< (ozstream &zs, const T &x)
ozstream & | operator< (ozstream &zs, const char *x)
ozstream & | operator< (ozstream &zs, char *const &x)
template<class T >
ostream & | operator<< (ozstream &zs, const T &x)

## Macro Definition Documentation

## ◆ SET_BINARY_MODE

#define SET_BINARY_MODE | ( |  | file | ) |

Definition at line 37 of file zstream.h.

## Function Documentation

## ◆ operator<() [1/3]

ozstream & operator< | ( | ozstream & | zs,
|  | char *const & | x
| ) |  |
| inline

Definition at line 293 of file zstream.h.

## ◆ operator<() [2/3]

ozstream & operator< | ( | ozstream & | zs,
|  | const char * | x
| ) |  |
| inline

Definition at line 286 of file zstream.h.

References ozstream::fp(), gzwrite(), and len.

## ◆ operator<() [3/3]

template<class T >

ozstream & operator< | ( | ozstream & | zs,
|  | const T & | x
| ) |  |
| inline

Definition at line 272 of file zstream.h.

References ozstream::fp(), and gzwrite().

## ◆ operator<<()

template<class T >

ostream & operator<< | ( | ozstream & | zs,
|  | const T & | x
| ) |  |
| inline

Definition at line 302 of file zstream.h.

References ozstream::os(), and ozstream::os_flush().

## ◆ operator>() [1/2]

izstream & operator> | ( | izstream & | zs,
|  | char * | x
| ) |  |
| inline

Definition at line 138 of file zstream.h.

References izstream::fp(), gzread(), and len.

## ◆ operator>() [2/2]

template<class T >

izstream & operator> | ( | izstream & | zs,
|  | T & | x
| ) |  |
| inline

Definition at line 123 of file zstream.h.

References izstream::fp(), and gzread().

## ◆ read()

template<class T , class Items >

int read | ( | izstream & | zs,
|  | T * | x,
|  | Items | items
| ) |  |
| inline

Definition at line 115 of file zstream.h.

References izstream::fp().

Referenced by bload(), bskip(), gz_load(), gzlog_compress(), gzscan(), gztack(), in(), log_compress(), log_head(), log_last(), log_recover(), rb_attr(), rb_define_attr(), rb_thread_fd_select(), rb_w32_read(), and readin().

## ◆ read_string()

char * read_string | ( | izstream & | zs | ) |
| inline

Definition at line 145 of file zstream.h.

References izstream::fp(), gzread(), and len.

## ◆ write()

template<class T , class Items >

int write | ( | ozstream & | zs,
|  | const T * | x,
|  | Items | items
| ) |  |
| inline

Definition at line 264 of file zstream.h.

References ozstream::fp().

Referenced by goruby_options(), gz_comp(), gzlog_compress(), gzlog_write(), gzscan(), gztack(), log_append(), log_compress(), log_last(), log_mark(), log_open(), out(), rb_attr(), rb_define_attr(), and rb_thread_fd_select().